package com.dsk.web.controller.system;

import com.dsk.common.core.controller.BaseController;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.system.domain.SysUserFileRecord;
import com.dsk.system.service.ISysUserFileRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 系统用户文件记录
 *
 * @author lcl
 * @create 2023/9/15
 */
@RestController
@RequestMapping("/user/file/record")
public class SysUserFileRecordController extends BaseController {

    @Autowired
    private ISysUserFileRecordService baseService;

    /**
     * 获取用户文件记录列表
     */
    @GetMapping(value = "/list")
    public TableDataInfo<SysUserFileRecord> userList(PageQuery page){
        return baseService.userList(page);
    }

    /**
     * 添加用户文件记录列表
     */
    @PostMapping()
    public R<Void> add(@RequestBody SysUserFileRecord bean){
        return toAjax(baseService.add(bean));
    }
}
