package com.dsk.common.translation.impl;

import com.dsk.common.annotation.TranslationType;
import com.dsk.common.constant.TransConstant;
import com.dsk.common.translation.TranslationInterface;
import com.dsk.common.utils.StringUtils;
import com.dsk.common.core.service.DictService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * 字典翻译实现
 *
 * @author Lion Li
 */
@Component
@AllArgsConstructor
@TranslationType(type = TransConstant.DICT_TYPE_TO_LABEL)
public class DictTypeTranslationImpl implements TranslationInterface<String> {

    private final DictService dictService;

    @Override
    public String translation(Object key, String other) {
        if (key instanceof String && StringUtils.isNotBlank(other)) {
            return dictService.getDictLabel(other, key.toString());
        }
        return null;
    }
}
