package com.dsk.common.translation.impl;

import com.dsk.common.annotation.TranslationType;
import com.dsk.common.constant.TransConstant;
import com.dsk.common.translation.TranslationInterface;
import com.dsk.common.core.service.OssService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

/**
 * OSS翻译实现
 *
 * @author Lion Li
 */
@Component
@AllArgsConstructor
@TranslationType(type = TransConstant.OSS_ID_TO_URL)
public class OssUrlTranslationImpl implements TranslationInterface<String> {

    private final OssService ossService;

    @Override
    public String translation(Object key, String other) {
        return ossService.selectUrlByIds(key.toString());
    }
}
