package com.dsk.biz.domain;

import com.dsk.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 项目跟进记录对象 business_follow_record
 *
 * @author lxl
 * @date 2023-05-17
 */
@Data
public class BusinessFollowRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 业主单位
     */
    private String ownerCompany;

    /** $column.columnComment */
    private Integer id;

    /** 项目id */
    private Integer businessId;

    /** 用户id */
    private Long userId;

    /** 用户昵称 */
    private String nickName;

    /** 拜访对象 */
    private String visitPerson;

    /** 职位 */
    private String position;

    /** 拜访时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date visitTime;

    /** 下次拜访时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nextVisitTime;

    /** 记录内容 */
    private String recordInfo;

    /** 拜访方式 */
    private String visitWay;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date creatTime;
}
