package com.dsk.biz.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.*;
import com.dsk.common.annotation.Excel;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户信息表(Customer)实体类
 *
 * @author makejava
 * @since 2023-05-16 09:27:55
 */
@Data
@NoArgsConstructor
@TableName("customer")
public class Customer implements Serializable {

    private static final long serialVersionUID = 824383302173350532L;

    @TableId(value = "customer_id", type = IdType.ASSIGN_UUID)
    private String customerId;
    /**
     * jsk企业id
     */
    private Integer companyId;
    /**
     * 城投企业id
     */
    private String uipId;
    /**
     * 客户名称（企业名称）
     */
    @Excel(name = "企业名称")
    private String companyName;
    /**
     * 法定代表人
     */
    private String legalPerson;
    /**
     * 注册资本
     */
    private String registerCapital;
    /**
     * 省id
     */
    private Integer provinceId;
    /**
     * 市id
     */
    private Integer cityId;
    /**
     * 区县id
     */
    private Integer districtId;
    /**
     * 注册地址
     */
    private String registerAddress;
    /**
     * 社会统一信用代码
     */
    private String creditCode;
    /**
     * 企业性质（company_nature_type）
     */
    private String companyNature;
    /**
     * 企业级别（company_level_type）
     */
    private String companyLevel;
    /**
     * 企业主体评级（credit_level_type）
     */
    private String creditLevel;
    /**
     * 客户等级（customer_level_type）
     */
    private String customerLevel;
    /**
     * 上级公司（控股单位）
     */
    private String superCompany;
    /**
     * 是否上市 0：否 1：是
     */
    private Integer isOn;
    /**
     * 是否主要客户 0：否 1：是
     */
    private Integer isMajor;
    /**
     * 发包属性
     */
    private String companyAttribute;
    /**
     * 主要业务
     */
    private String mainBusiness;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 商务条件特点
     */
    private String businessCharacteristic;
    /**
     * 决策链条
     */
    private String decisionChain;
    /**
     * 招投标流程特点
     */
    private String bidCharacteristic;
    /**
     * 履约阶段特点
     */
    private String performanceCharacteristic;
    /**
     * 其它管理体系特点
     */
    private String otherMsCharacteistic;
    /**
     * 租户编号
     */
    private String tenantId;

    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    @TableField(exist = false)
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateId;

    @TableField(exist = false)
    private Date updateTime;


}
