package com.dsk.biz.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户跟进记录(CustomerFollowRecord)实体类
 *
 * @author makejava
 * @since 2023-05-18 15:07:59
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("customer_follow_record")
public class CustomerFollowRecord implements Serializable {
    private static final long serialVersionUID = -17639570424991398L;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 拜访方式（visit_mode_type）
     */
    private String visitMode;
    /**
     * 拜访时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date visitTime;
    /**
     * 下次拜访时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nextVisitTime;
    /**
     * 拜访对象姓名
     */
    private String name;
    /**
     * 拜访对象职务
     */
    private String position;
    /**
     * 拜访内容
     */
    private String content;

    @TableField(exist = false)
    private Date createTime;


}
