package com.dsk.biz.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.biz.domain.BusinessBacklog;
import com.dsk.biz.domain.bo.BusinessBacklogListDto;
import com.dsk.biz.domain.vo.BusinessBacklogListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目工作待办Mapper接口
 *
 * @author lxl
 * @date 2023-05-17
 */
public interface BusinessBacklogMapper
{
    /**
     * 查询项目工作待办
     *
     * @param id 项目工作待办主键
     * @return 项目工作待办
     */
    public BusinessBacklog selectBusinessBacklogById(Integer id);

    /**
     * 查询项目工作待办列表
     */
    public Page<BusinessBacklogListVo> selectBusinessBacklogList(IPage<BusinessBacklogListDto> page, @Param("dto") BusinessBacklogListDto dto);

    /**
     * 新增项目工作待办
     *
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int insertBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 修改项目工作待办
     *
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int updateBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 删除项目工作待办
     *
     * @param id 项目工作待办主键
     * @return 结果
     */
    public int deleteBusinessBacklogById(Long id);

    /**
     * 批量删除项目工作待办
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessBacklogByIds(Long[] ids);

    Integer overdueCount(Integer businessId);

}
