package com.dsk.biz.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.biz.domain.BusinessRelateCompany;
import com.dsk.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 项目关联单位Mapper接口
 *
 * @author lxl
 * @date 2023-05-17
 */
public interface BusinessRelateCompanyMapper extends BaseMapperPlus<BusinessRelateCompanyMapper,BusinessRelateCompany,BusinessRelateCompany>
{
    /**
     * 查询项目关联单位
     *
     * @param id 项目关联单位主键
     * @return 项目关联单位
     */
    public BusinessRelateCompany selectBusinessRelateCompanyById(Long id);

    /**
     * 查询项目关联单位列表
     *
     * @param bo 项目关联单位
     * @return 项目关联单位集合
     */
    public Page<BusinessRelateCompany> selectBusinessRelateCompanyList(IPage<BusinessRelateCompany> page, @Param("bo") BusinessRelateCompany bo);

    /**
     * 新增项目关联单位
     *
     * @param businessRelateCompany 项目关联单位
     * @return 结果
     */
    public int insertBusinessRelateCompany(BusinessRelateCompany businessRelateCompany);

    /**
     * 修改项目关联单位
     *
     * @param businessRelateCompany 项目关联单位
     * @return 结果
     */
    public int updateBusinessRelateCompany(BusinessRelateCompany businessRelateCompany);

    /**
     * 删除项目关联单位
     *
     * @param id 项目关联单位主键
     * @return 结果
     */
    public int deleteBusinessRelateCompanyById(Long id);

    /**
     * 批量删除项目关联单位
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessRelateCompanyByIds(Long[] ids);

    BusinessRelateCompany selectByProprietor(Integer id);

}
