package com.dsk.biz.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.biz.domain.CustomerFollowRecord;
import com.dsk.biz.domain.bo.CustomerFollowRecordSearchDto;
import com.dsk.biz.domain.vo.BusinessListVo;
import com.dsk.biz.domain.vo.CustomerFollowRecordListVo;
import com.dsk.common.annotation.DataColumn;
import com.dsk.common.annotation.DataPermission;
import com.dsk.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 客户跟进记录(CustomerFollowRecord)表数据库访问层
 *
 * @author makejava
 * @since 2023-05-18 15:07:59
 */
@Mapper
public interface CustomerFollowRecordMapper extends BaseMapperPlus<CustomerFollowRecordMapper, CustomerFollowRecord, CustomerFollowRecord> {

    @DataPermission({
            @DataColumn(key = "deptName", value = "d.dept_id"),
            @DataColumn(key = "userName", value = "u.user_id")
    })
    List<CustomerFollowRecordListVo> selectAuthList(@Param("page") IPage<CustomerFollowRecordSearchDto> page, @Param("dto") CustomerFollowRecordSearchDto dto);

}

