package com.dsk.jsk.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseUipSearchBody extends BasePage {

    /**
     * 查询关键字
     */
    private List<String> keys;


    /*
     * 1供应商倒序，2供应商正序，3拟建项目倒序，4拟建项目正序，5招标公告倒序，6招标公告正序,7土地倒序，8土地正序
     */
    private Integer sort;

    /**
     * 省份
     */
    private List<Integer> provinceIds;

    /**
     * 市份
     */
    private List<Integer> cityIds;

    /**
     * 县
     */
    private List<Integer> areaIds;

    /**
     * 行政级别
     */
    private List<String> uipExecutiveLevel;

    /**
     * 城投业务类型
     */
    private List<String> uipBusinessType;

    /**
     * 主体信用等级
     */
    private List<String> bratingSubjectLevel;

    /**
     * 股东背景
     */
    private List<String> shareholderBg;

    /**
     * 股权关系
     */
    private List<String> equityRelationship;

}
