package com.dsk.jsk.domain.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 北京一体化查询参数
 * @author Administrator
 *
 */
@Data
public class BeijingQueryDto {

	String id;

	String achievementType;

	String province;

	String city;

	String county;

	//中标金额
	Double startTenderMoney;

	Double endTenderMoney;

	//合同金额
	Double startContractMoney;

	Double endContractMoney;
	//金额查询类型 and/or 默认任意均可
	String moneyQueryType;

	// 中标开始时间
	@JsonFormat(pattern = "yyyy-MM-dd")
	Date startTenderDate;
	// 中标结束时间
	@JsonFormat(pattern = "yyyy-MM-dd")
	Date endTenderDate;

	// 合同开始时间
	@JsonFormat(pattern = "yyyy-MM-dd")
	Date startContractDate;
	// 合同结束时间
	@JsonFormat(pattern = "yyyy-MM-dd")
	Date endContractDate;
	//时间查询类型 and/or 默认任意均可
	String timeQueryType;
	//建设单位
	String buildCorpName;
	//中标单位
	String tenderCompany;
	//招标代理
	String agency;

	//单项查询 关键词包含
	String singleKeywordIn;
	//单项查询 关键词不包含
	String singleKeywordOut;
	//单项查询 关键词包含体现节点
	String singleKeywordInNode;
	//单项查询 关键词不包含体现节点
	String singleKeywordOutNode;

}
