package com.dsk.jsk.domain.bo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 全平台企业基本业绩信息(筛选条件)
 *
 * @author lcl
 * @create 2021/9/6
 */
@Data
public class JabBasicEnterpriseProjectDto implements Serializable {

    //参建单位
    private String ename;
    //建设单位
    private String buildCorpName;
    //业绩来源 多个空格隔开
    private String achievementSource;
    //业绩类型 多个空格隔开
    private String achievementType;
    //项目金额 最小值
    private Double projectMoney;
    private Double startMoney;
    private Double endMoney;
    //包含金额未公示 0：不包含 1：包含
    private Integer isMoney;
    //时间条件
    private List<DateQueryDto> dateDtos;
    //时间查询类型 and/or 默认任意均可
    private String timeQueryType;
    //关键词（包含） 单个空格隔开
    private List<KeywordDto> keywords;
    //关键词（不包含）
    private String keywordNot;

    private String keywordNotType;

    //单项查询 关键词包含
    String singleKeywordIn;
    //单项查询 关键词不包含
    String singleKeywordOut;
    //单项查询 关键词包含体现节点
    String singleKeywordInNode;
    //单项查询 关键词不包含体现节点
    String singleKeywordOutNode;
    //是否截图体现公司和规模  yes   no
    Boolean isSingleReflect;

    //省 多个空格隔开
    private String divisionStr;
    //市 多个空格隔开
    private String cityStr;
    //区 多个空格隔开
    private String countyStr;
    String province;
    Integer provinceId;
    String city;
    Integer cityId;
    String county;
    Integer countyId;
    //业绩数量
    private Integer achievementCount;

}


