package com.dsk.jsk.domain.bo;

import com.dsk.jsk.domain.BasePage;
import lombok.Data;

import java.util.List;


/**
 * @ClassName UrbanInvestmentPlatformDto
 * @Description 城投平台参数对象
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class UrbanInvestmentPlatformDto extends BasePage {

    /**
     * 行政级别
     */
    private String uipExecutiveLevel;
    /**
     * 城投业务类型
     */
    private List<String> uipBusinessType;
    /**
     * 主体评级
     */
    private List<String> bratingSubjectLevel;
    /**
     * 股东背景
     */
    private List<String> shareholderBg;
    /**
     * 股权关系
     */
    private List<String> equityRelationship;
    /**
     * 平台重要性
     */
    private List<String> platformImportance;

    /**
     * 所属开发区
     */
    private List<String> developmentZone;

    /**
     * 省
     */
    private List<Integer> provinceIds;
    /**
     * 市
     */
    private List<Integer> cityIds;
    /**
     * 区
     */
    private List<Integer> areaIds;

    /**
     * 关键词
     */
    private String keyword;

    /**
     * 排序字段
     */
    private String field;
    /**
     * 字段 desc asc
     */
    private String order;

    /**
     * 含下属区：1 本级：2
     */
    private Integer type =1;
}
