package com.dsk.jsk.service.service;

import com.dsk.common.core.domain.AjaxResult;
import com.dsk.jsk.domain.*;
import com.dsk.jsk.domain.bo.SpecialBondInformationDetailsDto;
import com.dsk.jsk.domain.bo.SpecialBondInformationPageDto;
import com.dsk.jsk.domain.bo.SpecialPurposeBondsDto;
import com.dsk.jsk.domain.bo.SpecialPurposeBondsPageDto;

/**
 * @ClassName EconomicService
 * @Description 专项债项目业务层
 * @Author Dgm
 * @Date 2023/5/18 10:17
 * @Version 1.00
 */
public interface SpecialPurposeBondsService {

    /***
     *@Description: 专项债项目分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult page(SpecialPurposeBondsPageDto dto);

    /***
     *@Description: 专项债项目详情
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult details(SpecialBondInformationDetailsDto detailsDto);

    /***
     *@Description: 项目类别统计
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult bondStatistics(SpecialPurposeBondsDto dto);

    /***
     *@Description: 专项债分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:29
     */
     AjaxResult bondPage(SpecialBondInformationPageDto pageDto);

}
