package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author sxk
 * @date 2023.08.22
 * @description: 企业对象 sys_enterprise
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_enterprise")
public class SysEnterprise extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 企业编号
     */
    private String enterpriseId;

    /**
     * 企业名称
     */
    private String companyName;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 企业方案编号
     */
    private Long programId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 企业规模
     */
    private String enterpriseScale;

    /**
     * 企业状态（0已过期｜1续约）
     */
    private String status;

    /**
     * 删除标志（0代表删除｜1代表存在）
     */
    @TableLogic
    private String delFlag;

}
