package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sxk
 * @date 2023.08.22
 * @description: 企业方案对象 sys_enterprise_program
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_enterprise_program")
public class SysEnterpriseProgram extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 企业方案id
     */
    @TableId(value = "program_id")
    private Long programId;

    /**
     * 方案名称
     */
    private String programName;

    /**
     * 关联菜单id
     */
    private String menuIds;

    /**
     * 备注
     */
    private String remark;

    /**
     * 菜单树选择项是否关联显示（0：父子不互相关联显示|1：父子互相关联显示）
     */
    private Boolean menuCheckStrictly;

    /**
     * 状态（0停用|1正常）
     */
    private String status;

    /**
     * 删除标志（0代表删除|1代表存在）
     */
    @TableLogic
    private String delFlag;

}
