package com.dsk.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 行政区编码表(SysRegion)实体类
 *
 * @author makejava
 * @since 2023-06-28 11:23:12
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("sys_region")
public class SysRegion implements Serializable {
    private static final long serialVersionUID = -17128129449360485L;
    /**
     * 行政区编码(数字型)
     */
    private Integer id;
    /**
     * 行政区名称
     */
    private String regionName;
    /**
     * 行政区名称（最新）
     */
    private String fullName;
    /**
     * 行政区简称
     */
    private String nameSimple;
    /**
     * 行政区编码(字符型)
     */
    private String regionCode;
    /**
     * 行政区等级:1:省级,2:地市,3:区县,4:乡镇,
     */
    private Integer regionLevel;
    /**
     * 父级id
     */
    private Integer parentId;
    /**
     * 行政区类型:0:其他,1:省,2:直辖市,3:特别行政区,4:自治区
     */
    private Integer regionType;
    /**
     * 权重
     */
    private Integer weight;
    /**
     * 备注
     */
    private String remark;
    /**
     * 0:开启，1:准备中，2:关闭
     */
    private Integer status;

    private Date createTime;

    private Date updateTime;

    private Integer updateId;


}
